Show / Hide Table of Contents

# Class SignatureHelper

A utility class to help reduce signature boilerplate code.

##### Inheritance

System.Object
SignatureHelper

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Utility.Signatures

###### Assembly: Dalamud.dll

##### Syntax

    public static class SignatureHelper

### Methods

| Improve this Doc View Source

#### Initialise(Object, Boolean)

Initialises an object's fields and properties that are annotated with a SignatureAttribute.

##### Declaration

    public static void Initialise(object self, bool log = true)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Object | self | The object to initialise.
System.Boolean | log | If warnings should be logged using PluginLog.